<?php
/**
* This file is used for creating dbHelper class.
*
* @author  Tech Banker
* @package captcha-bank/lib
* @version 3.0.0
*/
if(!defined("ABSPATH")) exit; //exit if accessed directly
if(!is_user_logged_in())
{
	return;
}
else
{
	$access_granted = false;
	foreach($user_role_permission as $permission)
	{
		if(current_user_can($permission))
		{
			$access_granted = true;
			break;
		}
	}
	if(!$access_granted)
	{
		return;
	}
	else
	{
		/*
		Class Name: dbHelper_captcha_bank
		Parameters: No
		Description: This Class is used for Insert, Update & Delete Operations.
		Created On: 25-08-2016 10:02
		Created By: Tech Banker Team
		 */

		if(!class_exists("dbHelper_captcha_bank"))
		{
			class dbHelper_captcha_bank
			{
				/*
				Function Name: insertCommand
				Parameters: Yes($table_name,$data)
				Description: This Function is used to Insert data in database.
				Created On: 25-08-2016 10:04
				Created By: Tech Banker Team
				*/

				function insertCommand($table_name,$data)
				{
					global $wpdb;
					$wpdb->insert($table_name,$data);
					return $wpdb->insert_id;
				}

				/*
				Function Name: updateCommand
				Parameters: Yes($table,$data,$where)
				Description: This function is used to update data in database.
				Created On: 25-08-2016 10:05
				Created By: Tech Banker Team
				*/

				function updateCommand($table,$data,$where)
				{
					global $wpdb;
					$wpdb->update( $table, $data, $where, $format = null, $where_format = null);
				}

				/*
				Function Name: deleteCommand
				Parameters: Yes($table_name,$where)
				Description: This function is used to delete data from database.
				Created On: 25-08-2016 10:06
				Created By: Tech Banker Team
				*/

				function deleteCommand($table_name,$where)
				{
					global $wpdb;
					$wpdb->delete($table_name,$where);
				}

				/*
				Function Name: bulk_deleteCommand
				Parameters: Yes($tableName,$data,$where)
				Decription: This function is used to delete multiple data from database.
				Created On: 25-08-2016 10:08
				Created By: Tech Banker Team
				*/

				function bulk_deleteCommand($tableName,$where,$data)
				{
					global $wpdb;
					$wpdb->query
					(
						"DELETE FROM $tableName WHERE $where IN ($data)"
					);
				}
			}
		}
	}
}
?>
